function SSTATE = mysstateopt(THIS,SSTATE)
% MYSSTATEOPT Initialise non-linear steady-state solver for peristent calls.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

if THIS.linear
    SSTATE = ~isequal(SSTATE,false);
else
    if isequal(SSTATE,true)
        SSTATE = {};
    end
    if iscell(SSTATE)
        SSTATE = passvalopt('model.sstatepersist',SSTATE{:});
    end
end

end